EDIT - bug #6881

permgen error after changing datasource twice
08/03/2017 01:23 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

This ticket was created as #5713 more than a year ago but then accidentely deleted. Here it is again:

changing the datasource with local mgd works fine for the first time, but trying to change it another time throws an OutOfMemoryError

2016-04-14 15:12:22,451 ERROR [org.springframework.web.context.ContextLoader] - Context initializa
tion failed
java.lang.OutOfMemoryError: PermGen space

at java.lang.ClassLoader.defineClassl (Native Method)

at java.lang.ClassLoader.defineClass (ClassLoader. java:800)

at java.security.SecureClassLoader.defineClass (SecureClassLoader.java:142)

at java.net.URLClassLoader.defineClass (URLClassLoader.java:449)

at java.net.URLClassLoader.access$100 (URLClassLoader. java:71)

at java.net.URLClassLoader$l.run (URLClassLoader. java:361)

at java.net.URLClassLoader$l.run (URLClassLoader. java:355)

at java.security.AccessController.doPrivileged (Native Method)

at java.net.URLClassLoader.findClass (URLClassLoader. java:354)

at org.eclipse.jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader.java:510)

at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:441)

at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:403)

at java.lang.ClassLoader.defineClassl (Native Method)

at java.lang.ClassLoader.defineClass (ClassLoader. java:800)

at java.security.SecureClassLoader.defineClass (SecureClassLoader. java:142)

at java.net.URLClassLoader.defineClass (URLClassLoader.java:449)

at java.net.URLClassLoader.access$100 (URLClassLoader. java:71)

at java.net.URLClassLoader$l.run (URLClassLoader. java:361)

at java.net.URLClassLoader$l.run (URLClassLoader. java:355)

at java.security.AccessController.doPrivileged (Native Method)

at java.net.URLClassLoader.findClass (URLClassLoader. java:354)

at org.eclipse.jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader. java:510)

at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:441)

at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:403)

at java.lang.Class.getDeclaredMethodsO (Native Method)

at java.lang.Class.privateGetDeclaredMethods (Class. java:2615)

at java.lang.Class.getDeclaredMethods (Class. java:1860)

at org.springframework.util.ReflectionUtils.getDeclaredMethods (ReflectionUtils. java:609)

at org.springframework.util.ReflectionUtils.doWithMethods (ReflectionUtils. java:521)

at org.springframework.util.ReflectionUtils.doWithMethods (ReflectionUtils. java:507)

at org.springframework.beans.factory.annotation.AutowiredAnnotationBeanPostProcessor.determine
CandidateConstructors (AutowiredAnnotationBeanPostProcessor. java:241)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.determineConst
ructorsFromBeanPostProcessors (AbstractAutowireCapableBeanFactory.java:1069)
2016-04-14 15:12:22.453:WARN:ocejuc.AbstractLifeCycle:Thread-49: FAILED o.e.j.w.WebAppContext@621f4
351{/,file:/C:/Users/k.luther/AppData/Local/Temp/Jjetty-0.0.0.0-50298-cdmlib-remote-webapp.war—_-an
y—8537520874429654766.dir/webapp/, STARTING} {C:\Users\k.luther\Documents\gitTest\taxeditor\eu.etaxo
nomy.taxeditor.webapp\lib\cdmlib-remote-webapp.war}: java.lang.OutOfMemoryError: PermGen space
java.lang.OutOfMemoryError: PermGen space

at java.lang.ClassLoader.defineClassl (Native Method)

at java.lang.ClassLoader.defineClass (ClassLoader. java:800)

at java.security.SecureClassLoader.defineClass (SecureClassLoader.java:142)

at java.net.URLClassLoader.defineClass (URLClassLoader.java:449)
at java.net.URLClassLoader.access$100 (URLClassLoader. java:71)

at java.net.URLClassLoader$l.run (URLClassLoader. java:361)

at java.net.URLClassLoader$l.run (URLClassLoader. java:355)

at java.security.AccessController.doPrivileged (Native Method)

at java.net.URLClassLoader.findClass (URLClassLoader. java:354)

at org.eclipse. jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader.java:510)

at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:441)

at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:403)

at java.lang.ClassLoader.defineClassl (Native Method)

at java.lang.ClassLoader.defineClass (ClassLoader. java:800)

at java.security.SecureClassLoader.defineClass (SecureClassLoader.java:142)

at java.net.URLClassLoader.defineClass (URLClassLoader.java:449)

at java.net.URLClassLoader.access$100 (URLClassLoader. java:71)

at java.net.URLClassLoader$l.run (URLClassLoader. java:361)

at java.net.URLClassLoader$l.run (URLClassLoader. java:355)

at java.security.AccessController.doPrivileged (Native Method)

at java.net.URLClassLoader.findClass (URLClassLoader. java:354)

at org.eclipse.jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader. java:510)

at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:441)

at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:403)

at java.lang.Class.getDeclaredMethodsO (Native Method)

at java.lang.Class.privateGetDeclaredMethods (Class. java:2615)

at java.lang.Class.getDeclaredMethods (Class.java:1860)

at org.springframework.util.ReflectionUtils.getDeclaredMethods (ReflectionUtils. java:609)

at org.springframework.util.ReflectionUtils.doWithMethods (ReflectionUtils. java:521)

at org.springframework.util.ReflectionUtils.doWithMethods (ReflectionUtils. java:507)

at org.springframework.beans.factory.annotation.AutowiredAnnotationBeanPostProcessor.determine
CandidateConstructors (AutowiredAnnotationBeanPostProcessor. java:241)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.determineConst
ructorsFromBeanPostProcessors (AbstractAutowireCapableBeanFactory.java:1069)
2016-04-14 15:12:22.459:INFO:0ejs.ServerConnector:Thread-49: Started ServerConnector@76c5bb58{HTTP
/1.1}{0.0.0.0:50298}
2016-04-14 15:12:22.460:WARN:0ejuc.AbstractLifeCycle:Thread-49: FAILED org.eclipse.jetty.server.Se
rver@47cé6ce89: java.lang.OutOfMemoryError: PermGen space
java.lang.OutOfMemoryError: PermGen space

at java.lang.ClassLoader.defineClassl (Native Method)

at java.lang.ClassLoader.defineClass (ClassLoader. java:800)

at java.security.SecureClassLoader.defineClass (SecureClassLoader.java:142)

at java.net.URLClassLoader.defineClass (URLClassLoader.java:449)

at java.net.URLClassLoader.access$100 (URLClassLoader. java:71)

at java.net.URLClassLoader$l.run (URLClassLoader. java:361)

at java.net.URLClassLoader$l.run (URLClassLoader. java:355)

at java.security.AccessController.doPrivileged (Native Method)

at java.net.URLClassLoader.findClass (URLClassLoader. java:354)

at org.eclipse.jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader.java:510)

at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:441)

at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:403)

at java.lang.ClassLoader.defineClassl (Native Method)

at java.lang.ClassLoader.defineClass (ClassLoader. java:800)

at java.security.SecureClassLoader.defineClass (SecureClassLoader. java:142)

at java.net.URLClassLoader.defineClass (URLClassLoader.java:449)

at java.net.URLClassLoader.access$100 (URLClassLoader. java:71)

at java.net.URLClassLoader$l.run (URLClassLoader. java:361)

at java.net.URLClassLoader$l.run (URLClassLoader. java:355)

at java.security.AccessController.doPrivileged (Native Method)

at java.net.URLClassLoader.findClass (URLClassLoader. java:354)

at org.eclipse.jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader. java:510)

at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:441)

at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:403)

at java.lang.Class.getDeclaredMethodsO (Native Method)

at java.lang.Class.privateGetDeclaredMethods (Class. java:2615)

at java.lang.Class.getDeclaredMethods (Class. java:1860)

at org.springframework.util.ReflectionUtils.getDeclaredMethods (ReflectionUtils. java:609)

at org.springframework.util.ReflectionUtils.doWithMethods (ReflectionUtils. java:521)

at org.springframework.util.ReflectionUtils.doWithMethods (ReflectionUtils. java:507)

at org.springframework.beans.factory.annotation.AutowiredAnnotationBeanPostProcessor.determine
CandidateConstructors (AutowiredAnnotationBeanPostProcessor. java:241)
at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.determineConst
ructorsFromBeanPostProcessors (AbstractAutowireCapableBeanFactory. java:1069)

History

#1 - 08/03/2017 01:23 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Katja Luther
from AK:

this is for sure a problem in the taxeditor:

When changing the datasource without stopping and restarting the server instance the c3p0 datasource must be corrctly released otherwise you can
run out of memory. This handling is implemented correctly in the cdm-server

Check the cdm-server code for details on this.

#2 - 08/03/2017 01:25 PM - Andreas Miiller

- Description updated
